org.apache.ignite.internal.processors.cache.persistence.evict

## Class NoOpPageEvictionTracker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.evict.NoOpPageEvictionTracker

All Implemented Interfaces:
  PageEvictionTracker, LifecycleAware

    public class NoOpPageEvictionTracker
    extends Object
    implements PageEvictionTracker

### Constructor Summary

Constructors
Constructor and Description
`NoOpPageEvictionTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `evictDataPage()` Evicts one data page.
`void` `forgetPage(long pageId)` Call this method when last entry is removed from data page.
`void` `start()` Starts grid component, called on grid start.
`void` `stop()` Stops grid component, called on grid shutdown.
`void` `touchPage(long pageId)` Call this method when data page is accessed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoOpPageEvictionTracker

    public NoOpPageEvictionTracker()

### Method Detail

#### start

    public void start()
               throws IgniteException

Starts grid component, called on grid start.

Specified by:
  `start` in interface `LifecycleAware`
Throws:
  `IgniteException` - If failed.

#### stop

    public void stop()
              throws IgniteException

Stops grid component, called on grid shutdown.

Specified by:
  `stop` in interface `LifecycleAware`
Throws:
  `IgniteException` - If failed.

#### touchPage

    public void touchPage(long pageId)
                   throws IgniteCheckedException

Call this method when data page is accessed.

Specified by:
  `touchPage` in interface `PageEvictionTracker`
Parameters:
  `pageId` - Page id.
Throws:
  `IgniteCheckedException` - In case of page memory error.

#### evictDataPage

    public void evictDataPage()
                       throws IgniteCheckedException

Evicts one data page. In most cases, all entries will be removed from the page. Method guarantees removing at least one entry from "evicted" data page. Removing all entries may be not possible, as some of them can be used by active transactions.

Specified by:
  `evictDataPage` in interface `PageEvictionTracker`
Throws:
  `IgniteCheckedException` - In case of page memory error.

#### forgetPage

    public void forgetPage(long pageId)
                    throws IgniteCheckedException

Call this method when last entry is removed from data page.

Specified by:
  `forgetPage` in interface `PageEvictionTracker`
Parameters:
  `pageId` - Page id.
Throws:
  `IgniteCheckedException` - In case of page memory error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018